# $Revision: 1.181 $, $Date: 2011/08/31 18:28:16 $
#
# Conditional build:
%bcond_without	perl	# without perl support
%bcond_without	ipv6	# without IPv6 support
%bcond_without	ssl	# without SSL  support
%bcond_without	dynamic	# without dynamic libraries

%define		no_install_post_check_so	1

%define		idea_ver	0.1.46
%define		irssi_perl_version 20100403
%{?with_perl:%include	/usr/lib/rpm/macros.perl}
Summary:	Irssi is a IRC client
Summary(fr.UTF-8):	Irssi est un client IRC
Summary(hu.UTF-8):	Irssi egy IRC kliens
Summary(pl.UTF-8):	Irssi - wygodny w użyciu klient IRC
Name:		irssi
Version:	0.8.15
Release:	8
License:	GPL
Group:		Applications/Communications
#Source0:	http://www.irssi.org/files/snapshots/%{name}-%{_snap}.tar.gz
Source0:	http://www.irssi.org/files/%{name}-%{version}.tar.gz
# Source0-md5:	870db8e319f640c2bf446c30d0c24ef6
Source1:	%{name}.desktop
Source2:	%{name}.png
# NXDOMAIN
#Source3:	http://real.irssi.org/files/plugins/idea/%{name}-idea-%{idea_ver}.tar.gz
Source3:	%{name}-idea-%{idea_ver}.tar.gz
# Source3-md5:	c326efe317b8f67593a3cd46d5557280
Patch0:		%{name}-dcc-send-limit.patch
Patch1:		%{name}-tinfo.patch
Patch2:		%{name}-home_etc.patch
Patch3:		%{name}-idea-listlen.patch
Patch4:		%{name}-gcc4.patch
Patch5:		%{name}-dynamic.patch
Patch6:		%{name}-invalid_free.patch
Patch7:		%{name}-color_support_for_gui_entry.patch
Patch8:		%{name}-libs-nopoison.patch
URL:		http://www.irssi.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
# for idea only
BuildRequires:	glib-devel
BuildRequires:	glib2-devel >= 2.24.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.0
%{?with_ssl:BuildRequires:	openssl-devel >= 0.9.7d}
%{?with_perl:BuildRequires:	perl-devel >= 1:5.8.4}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
%{?with_perl:BuildRequires:	rpm-perlprov}
BuildRequires:	rpmbuild(macros) >= 1.315
BuildRequires:	sed >= 4.0
Requires:	glib2 >= 2.24.0
Provides:	perl(Irssi) = %{irssi_perl_version}
Obsoletes:	irssi-speech
Obsoletes:	irssi-sql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with dynamic}
%define		filterout_ld	-Wl,--as-needed
%endif

%description
Irssi is a textUI IRC client with IPv6 support.

%description -l fr.UTF-8
Irssi est client IRC.

%description -l hu.UTF-8
Irssi egy szöveges felületű IRC kliens IPv6 támogatással.

%description -l pl.UTF-8
Irssi jest tekstowym klientem IRC ze wsparciem dla IPv6.

%package plugin-idea
Summary:	Irssi plugin IDEA crypt
Summary(hu.UTF-8):	Irssi IDEA plugin
Summary(pl.UTF-8):	Wtyczka do irssi do szyfrowania IDEA
Group:		Applications/Communications
Requires:	%{name} = %{version}-%{release}
Requires:	glib >= 1:1.2.10-13

%description plugin-idea
This package contains IDEA Crypt plugin for Irssi.

%description plugin-idea -l hu.UTF-8
Ez a csomag tartalmazza az IDEA titkosítási plugint Irssi-hez.

%description plugin-idea -l pl.UTF-8
Ten pakiet zawiera wtyczkę do Irssi z szyfrowaniem IDEA.

%prep
%setup -q -a3
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%if %{with dynamic}
%patch5 -p1
%endif
%patch6 -p1
%patch7 -p0
%patch8 -p1

echo 'AC_DEFUN([AM_PATH_GLIB],[:])' > glib1.m4

mv irssi-idea{-%{idea_ver},}

# hack
%{__sed} -i -e 's#\./libtool#%{_bindir}/libtool#g' 'configure.in'

%build
ver=$(awk '/IRSSI_VERSION_DATE/{print $3}' irssi-version.h)
if [ "$ver" != "%{irssi_perl_version}" ]; then
	: update irssi_perl_version to $ver
	exit 1
fi

%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure \
	--without-socks \
	--with-bot \
	--with-textui \
	--with-proxy \
	--with-terminfo \
	--with-modules \
	%{?with_perl:--with-perl=yes} \
	%{?with_perl:--with-perl-lib=vendor} \
	%{!?with_perl:--with-perl=no} \
	%{?with_ipv6:--enable-ipv6} \
	--enable-nls \
	--%{?with_ssl:en}%{!?with_ssl:dis}able-ssl

%{__make}

# to fool idea configure script
touch irssi-config
cd irssi-idea
%{__libtoolize}
%{__aclocal} -I .
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	docdir=%{_datadir}/%{name}-%{version}

# scripts packaged by irssi-scripts.spec
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/scripts/*

cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} -C irssi-idea install \
	DESTDIR=$RPM_BUILD_ROOT

# -devel?
rm $RPM_BUILD_ROOT%{_libdir}/lib*.{so,la,a}
rm -r $RPM_BUILD_ROOT%{_includedir}/irssi
# cleanup
rm $RPM_BUILD_ROOT%{_libdir}/irssi/modules/lib*.{la,a}
%if %{with perl}
rm $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Irssi/.packlist
rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Irssi/Irc/.packlist
rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Irssi/TextUI/.packlist
rm $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Irssi/UI/.packlist
%endif
rm -r $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO NEWS docs/*.{txt,html}
%attr(755,root,root) %{_bindir}/botti
%attr(755,root,root) %{_bindir}/irssi
%dir %{_libdir}/irssi
%dir %{_libdir}/irssi/modules
%attr(755,root,root) %{_libdir}/irssi/modules/libirc_proxy.so*
%if %{with dynamic}
%attr(755,root,root) %{_libdir}/libirssi*.so.*
%endif
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/help
%{_datadir}/%{name}/themes
%{_desktopdir}/irssi.desktop
%{_pixmapsdir}/irssi.png
%{_sysconfdir}/irssi.conf
%{_mandir}/man1/irssi.1*

%if %{with perl}
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/Irssi
%{perl_vendorarch}/Irssi/*.pm

%dir %{perl_vendorarch}/auto/Irssi
%{perl_vendorarch}/auto/Irssi/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Irssi/*.so

%dir %{perl_vendorarch}/auto/Irssi/Irc
%{perl_vendorarch}/auto/Irssi/Irc/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Irssi/Irc/*.so

%dir %{perl_vendorarch}/auto/Irssi/TextUI
%{perl_vendorarch}/auto/Irssi/TextUI/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Irssi/TextUI/*.so

%dir %{perl_vendorarch}/auto/Irssi/UI
%{perl_vendorarch}/auto/Irssi/UI/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Irssi/UI/*.so
%endif

%files plugin-idea
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/irssi/modules/libidea.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: irssi.spec,v $
Revision 1.181  2011/08/31 18:28:16  arekm
- release 8

Revision 1.180  2010/11/20 14:35:15  hawk
- enabled no_install_post_check_so, too many libs to list them one by one

Revision 1.179  2010/11/15 15:30:18  shadzik
- rel 6

Revision 1.178  2010/11/13 12:07:58  pawelz
- release 5

Revision 1.177  2010/06/05 22:45:24  arekm
- release 4

Revision 1.176  2010/05/12 20:28:58  sparky
- readded BR: glib-devel

Revision 1.175  2010/04/10 20:48:08  arekm
- release 3

Revision 1.174  2010/04/06 12:32:19  uzsolt
- glib2 >= 2.24.0 R and BR (irssi: symbol lookup error: /usr/lib/libirssife_common_core.so.0: undefined symbol: g_malloc0_n)
- remove glib-devel BR (doesn't support)
- rel 2

Revision 1.173  2010/04/05 14:54:25  pawelz
- I guess Hungarian language also uses dot to mark end of sentence.

Revision 1.172  2010/04/05 14:28:40  uzsolt
- hu

Revision 1.171  2010/04/05 08:03:33  glen
- up to 0.8.15

Revision 1.170  2010/02/01 14:39:24  arekm
- rel 5; ssl enhancements from upstream

Revision 1.169  2010/01/15 12:28:56  glen
- release 4

Revision 1.168  2010/01/15 11:15:43  glen
- stop bashism in CALC alias; rel 3

Revision 1.167  2010/01/05 20:38:08  sparky
- -p0 was on wrong patch, fixed

Revision 1.166  2009/12/12 12:53:53  adamg
- irc.pld-linux.org no longer available

Revision 1.165  2009/09/12 11:09:53  radek
- release 2: strict DynaLoader dep no longer required

Revision 1.164  2009/08/20 09:59:54  arekm
- perl bcond fixed

Revision 1.163  2009/08/09 09:49:45  arekm
- up to 0.8.14

Revision 1.162  2009/06/24 07:06:47  adamg
- secfix for CVE-2009-1959

Revision 1.161  2009/06/22 08:50:20  blues
- CVE-2009-1959 security blocker

Revision 1.160  2009/05/25 23:22:42  glen
- scripts moved to irssi-scripts.spec
- verbose files, check-files cleanup; rel 2

Revision 1.159  2009/04/02 15:26:23  arekm
- rel 1

Revision 1.158  2009/04/02 15:09:04  baggins
- irssi_perl_version 20090331

Revision 1.157  2009/04/02 12:52:39  arekm
- up to 0.8.13; fetch src

Revision 1.156  2009/03/13 22:42:43  hawk
- release 10

Revision 1.155  2008/11/16 18:31:03  glen
- release 9

Revision 1.154  2008/11/16 17:31:48  glen
- provide perl(Irssi) version
- fix as-needed poisoning from perl; rel 8

Revision 1.153  2008/11/14 23:15:22  jezik
- added color_support_for_gui_entry patch

Revision 1.152  2008/11/01 15:30:48  qboosh
- BR sed 4

Revision 1.151  2008/11/01 13:56:39  arekm
- rel 6; hack for configure tests

Revision 1.150  2008-03-27 13:26:47  glen
- pointless BR bump dropped

Revision 1.149  2008-03-27 13:22:07  jezik
- perl 5.10

Revision 1.148  2008-02-27 17:30:25  arekm
- rel 4

Revision 1.147  2008-02-08 14:38:18  arekm
- rel 3

Revision 1.146  2007-12-28 09:35:23  glen
- rel 2

Revision 1.145  2007-11-01 23:25:46  arekm
- up to 0.8.12

Revision 1.144  2007/06/17 16:54:12  glen
- update urls

Revision 1.143  2007/06/17 08:17:48  qboosh
- glib 1.x is just for idea plugin

Revision 1.142  2007/06/17 08:03:20  qboosh
- such glib version was for a reason (slist_remove fix)

Revision 1.141  2007/06/06 23:57:48  shadzik
- unify glib-devel BR to safely move AC-branch tag to this rev ;)

Revision 1.140  2007/06/06 23:53:31  shadzik
- 0.8.11

Revision 1.139  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.138  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.137  2007/02/11 20:50:39  arekm
- fix desc pl

Revision 1.136  2006/10/25 18:26:51  glen
- strict internal deps; adapter

Revision 1.135  2006/08/24 10:58:55  sparky
- new way of disabling --as-needed, put inside bcond: it's caused by broken
  "dynamic" patch

Revision 1.134  2006/08/24 10:37:47  arekm
- rel 3; disable as-needed for now (needs more serious fixing due to inter-deps)

Revision 1.133  2006/08/09 06:54:49  arekm
- rel 2

Revision 1.132  2006/07/02 09:32:27  charles
- BR: rpm-perlprov

Revision 1.131  2006/05/26 17:53:14  shadzik
- up to 0.8.10a

Revision 1.130  2006/05/02 20:57:21  pluto
- md5 (prev was from 0.8.10a).

Revision 1.129  2006/05/02 20:54:22  pluto
- x86-64 crash fixed, release 3.

Revision 1.128  2006/01/23 21:00:47  pluto
- BR:popt-devel, TODO added, release 2.1.

Revision 1.127  2005/12/15 16:21:54  paszczus
- release 2

Revision 1.126  2005/12/11 15:15:27  glen
- updated dynamic patch, rel 1.1

Revision 1.125  2005/12/11 14:43:14  paszczus
- updated to FINAL 0.8.10
- updated irssi.conf.patch
- irssi-dynamic.patch needs update (changed bcond, default without dynamic)
- release 0.1

Revision 1.124  2005/05/29 08:03:16  aredridel
- added dynamic libs patch

Revision 1.123  2005/03/01 19:59:45  pluto
- gcc4 fixes.

Revision 1.122  2005/03/01 18:03:22  qboosh
- added version note to previous commit

Revision 1.121  2005/03/01 05:44:56  djrzulf
- some fresh meat,
[snap 20050301]

Revision 1.120  2005/02/20 23:50:39  domelu
- reverted
- dropped SourceN-size

Revision 1.119  2005/02/20 22:57:22  paszczus
- updated to latest snapshot [20050220]

Revision 1.118  2004/11/20 20:27:00  radek
- release 0._snap.2: require DynaLoader in version available at build time

Revision 1.117  2004/10/18 03:21:34  domelu
- merge from DEVEL

Revision 1.62.2.36  2004/10/12 22:57:48  domelu
- removed trigger
- fix Release

Revision 1.62.2.35  2004/10/11 00:50:47  domelu
- rc5 snap 20041010
- change url to idea plugin

Revision 1.115  2004/10/07 20:41:03  domelu
- rel. 3, rebuild

Revision 1.114  2004/10/07 20:06:11  domelu
- typo

Revision 1.113  2004/10/07 19:11:44  domelu
- trigger (term_charset)

Revision 1.112  2004/10/04 17:12:42  domelu
- _rel -> _rc

Revision 1.111  2004/10/04 16:46:50  domelu
- rel. 1, rebuild

Revision 1.110  2004/10/04 14:02:02  baggins
- removed obsolete channel_auto_who patch

Revision 1.109  2004/10/03 09:55:31  domelu
- removed TODO - done

Revision 1.108  2004/10/03 05:23:42  havner
- uncommented patch1 and patch2

Revision 1.107  2004/10/03 05:18:20  domelu
- doc/startup-HOWTO.html

Revision 1.106  2004/10/03 04:57:03  domelu
- typo

Revision 1.105  2004/10/03 04:50:34  domelu
- TODO: package with some nice scripts + forwardfix.pl

Revision 1.104  2004/10/03 04:44:57  domelu
- start update 0.8.10-rc5

Revision 1.103  2004/08/09 17:36:26  baggins
- release 4.2
- updated dcc_send_limit patch

Revision 1.102  2004/08/07 02:04:01  agaran
- not sure if that is correct (yet, testing still) but with that irssi-idea works again
- rel 4.1, testing needed (i use that, and it didnt crash yet)

Revision 1.101  2004/07/28 17:14:19  paszczus
- little cleanups

Revision 1.100  2004/05/20 23:55:08  arekm
- force 5.8.4 perl

Revision 1.99  2004/05/18 02:10:29  aredridel
- spaces versus tabs are important here?!

Revision 1.98  2004/05/09 14:53:12  adamg
- release 4 to rebuild with perl 5.8.4

Revision 1.97  2004/03/19 23:46:27  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.96  2004/01/20 00:57:39  domelu
- added irssi.conf.patch (PLDNet network and #pldhelp channel)
- release 3; STBR Ac

Revision 1.95  2004/01/16 14:04:44  qboosh
- cosmetics, release 2 (1 is for Ra)

Revision 1.94  2004/01/07 15:13:22  adamg
- added bcond to disable support for SSL

Revision 1.93  2004/01/02 15:41:35  eothane
- %bcond_with new_bcond_style
- added %bcond_without ipv6

Revision 1.92  2003/12/19 20:05:44  adgor
- home_etc.patch is back
- Release 1

Revision 1.91  2003/12/11 11:45:49  areq
- 0.8.9

Revision 1.90  2003/12/07 07:15:14  troll
- added missing BR: pkgconfig (thanks to piernik)

Revision 1.89  2003/12/04 18:56:47  adgor
- Switched to vfolders

Revision 1.88  2003/11/24 10:00:22  arekm
- updated to 0.8.8 but home_etc patch needs update (so rel 0.1)

Revision 1.87  2003/11/10 06:09:07  witekfl
- added home_etc.patch
- rel 3

Revision 1.86  2003/09/30 20:18:24  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.85  2003/09/09 11:44:12  ankry
- sorted (Build)Requires

Revision 1.84  2003/09/05 21:41:28  ankry
- pl desc.

Revision 1.83  2003/09/05 20:45:05  waszi
- added idea plugin :>

Revision 1.82  2003/05/25 11:00:52  malekith
- massive attack, adding Source-md5

Revision 1.81  2003/05/25 05:49:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.80  2003/03/16 14:17:38  krolik

- new BR: glib-devel

Revision 1.79  2003/03/03 13:46:17  adgor
- with "--with-perl=module" doesn't work for me :(

Revision 1.78  2003/03/02 18:39:14  radek
- updated for perl-5.8; some cleanup; release 2

Revision 1.77  2003/02/13 14:03:33  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.76  2002/12/31 11:16:21  gotar
- cut off Vendor, cosmetics

Revision 1.75  2002/12/09 23:10:33  ankry
- adapterized

Revision 1.74  2002/11/28 10:14:33  areq
- fix install

Revision 1.73  2002/11/25 20:03:01  baggins
- added tinfo patch (assure linking with terminfo)

Revision 1.72  2002/11/20 17:23:15  marcus
- fixed BR (glib2 insted glib)

Revision 1.71  2002/11/19 14:21:37  areq
- 0.8.6
- #dcc-send-limit.patch - need update ?
- new %doc

Revision 1.70  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.69  2002/06/23 20:32:29  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.68  2002/06/19 19:22:16  areq
- 0.8.5, STBR
- fix bug, posible DoS

Revision 1.67  2002/05/30 20:24:06  jack
- Fixed source (there isn't irssi-0.8.4.tar.bz2 on irssi's homepage!) - previous wasn't backdoored - if you read carefully I should see it - only tar.gz was!)
- Release 4 because I fucked up irssi.conf.patch few revisions ago
- It doesn't core dump when there is no ~/.irssi
- It works with old (tested every revision since 1.62) ~/.irssi
- STBRQ(uickly), please!

Revision 1.66  2002/05/25 15:11:48  djrzulf
- Release 3,
- STBR for STABLE, tarball was BACKDOORED see http://real.irssi.org,

Revision 1.65  2002/05/21 23:13:38  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.64  2002/05/19 10:18:08  mmazur
- killed gnome dependencies (the gtk version is obsolete afaik) + fixed
  building on nest :)

Revision 1.63  2002/05/13 00:37:35  jack
- added patch makeing new PLDNet entry in config

Revision 1.62  2002/04/25 16:37:42  arturs
- fixed a small typo

Revision 1.61  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.60  2002/03/14 00:46:32  baggins
- re-added dcc-send-limit patch
- added channel_auto_who patch

Revision 1.59  2002/03/14 00:19:25  jack

- Removed irssi-dcc-send-limit.patch - "01:16:27 <@cras> jack_: ok, that patch is buggy"
- Release 2, STB please

Revision 1.58  2002/03/13 15:04:14  jack
- Release -1 (builds and works OK)

Revision 1.57  2002/03/13 12:06:30  jack
- Updated to 0.8.4 (Release 0.1 because it links with perl and I cannot test it
  on i586 (it immidiatly ends working after loading any perl script - I haven't
  chrooted builders for i586) - on i686 works fine)

Revision 1.56  2002/03/13 09:16:35  kloczek
- release 1.

Revision 1.55  2002/03/12 20:47:38  zytek
- updated to 0.8.2

Revision 1.54  2002/02/23 02:59:07  kloczek
- adapterized.

Revision 1.53  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.52  2002/02/18 14:16:12  misiek
- added missing perl files; release 2

Revision 1.51  2002/02/18 13:18:36  misiek
- updated to 0.8.1

Revision 1.50  2002/02/17 14:28:46  misiek
- updated to 0.8.0

Revision 1.49  2002/01/20 00:42:43  kloczek
- added no_libnsl, am15 and libtool patches so now libnsl isn't in libraries
  list linked with irssi executable,
- regenerate ac/am/lt files.

Revision 1.48  2002/01/19 18:54:59  baggins
- release 3
- added dcc-send-limit patch (impose speed limit on dcc sends, configurable)

Revision 1.47  2002/01/18 02:13:22  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.46  2001/11/30 08:48:26  qboosh
- adapterized, cosmetics

Revision 1.45  2001/09/13 13:21:36  baggins
- workaround for gettext

Revision 1.44  2001/09/13 13:13:33  baggins
- release 2
- use %configure2_13 macro
- removed ac_am crappy patch
- fixed perl modules file list

Revision 1.43  2001/09/12 20:02:26  misiek
- fix/workaround ac problems

Revision 1.42  2001/09/03 15:09:45  kloczek
- remove %_with_gnome conditionals,
- added desktop and png icon for irssi.

Revision 1.41  2001/09/03 12:14:53  rrw
- upgraded to 0.7.98.4 (critical upgrade! client could be crashed remotely
  before);
- removed old ver/plev macros, it is used throughout the script as one
  string anyway;
- release 1;

Revision 1.40  2001/05/22 09:06:26  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ ->
  _without_); no release changes only simple s/// perfored

Revision 1.39  2001/05/07 15:09:45  kloczek
- BuildRequires for perl changed to perl-devel >= 5.6.1.

Revision 1.38  2001/04/27 21:50:22  agaran
- updated to 0.7.98.3 (revison set to 1.9) imho no need to keep version
  splitted into ver/plev because rest of places seems to be using it as one
  string (so it may simplify spec)
  builds ok at least on team/newboss

Revision 1.37  2001/03/17 03:39:08  agaran
- fixed including of perlmacros, disabled bot (cras said that will be removed)
  not ready for to send to builders, (but at least once compiled succesfully,
  with perl without gnome , with nonthreading perl, perl in irssi works)

Revision 1.36  2001/02/17 01:32:09  michuz
- release 2
- %{_applnk}/Network/IRC changed to Communications

Revision 1.35  2000/12/28 15:01:49  baggins
- one fix in GNOME

Revision 1.34  2000/12/28 15:01:27  baggins
- updated to 0.7.97.2
- GNOME hell is back - conditionally (yes I know what I'm doin' ;)

Revision 1.33  2000/11/14 23:17:30  misiek
- removed GNOME hell
- updated to 0.7.96patchlevel2

Revision 1.32  2000/11/01 08:21:05  kloczek
- release 5: use new rpm automation and rebuild against gnome-libs linked
  with db3.

Revision 1.31  2000/07/13 23:11:25  baggins
- release 4
- rebuild with ncurses 5.1

Revision 1.30  2000/07/13 20:43:11  baggins
- release 3

Revision 1.29  2000/06/26 17:25:07  baggins
- fixid %install

Revision 1.28  2000/06/09 07:54:43  kloczek
- more %{__make} macros.

Revision 1.27  2000/06/09 07:23:03  kloczek
- added using %{__make} macro.

Revision 1.26  2000/05/31 20:43:32  michuz
- release 2
- removed applnk patch
- %applnkdir changed

Revision 1.25  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.24  2000/04/01 11:14:47  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:34  baggins
- translated kloczkish into english

Revision 1.22  2000/03/11 21:37:10  kloczek
- updated to 0.7.28,
- removed perl patch (integrated in current version) and updated applnk
  patch.

Revision 1.21  2000/03/01 11:12:23  wiget
- make buildable (fix perl related problems)
- split to more subpackage (sql and speech plugin in separate package)

Revision 1.20  2000/02/25 21:03:09  kloczek
- updated to 0.7.27.

Revision 1.19  2000/02/19 17:54:07  kloczek
- updated to 0.7.26.

Revision 1.18  2000/02/19 16:02:25  kloczek
- updated to 0.7.25.

Revision 1.17  2000/02/19 07:23:44  kloczek
- updated to 0.7.24.

Revision 1.16  2000/01/31 18:34:26  kloczek
- move desktop file to Networking/IRC.

Revision 1.15  2000/01/27 18:23:45  wiget
0.7.23

Revision 1.14  2000/01/18 19:12:12  kloczek
- release 2,
- build fron new tar ball.

Revision 1.13  2000/01/17 02:03:02  kloczek
- updated to 0.7.22,
- adapter(ized),
- added applnk patch for install desktop file for irssi in applnk tree.

Revision 1.12  1999/12/22 02:50:39  wiget
0.7.21

Revision 1.11  1999/11/28 19:05:21  wiget
- updated to 0.7.20.1
- disabled sql plugin

Revision 1.10  1999/11/28 12:34:18  kloczek
- typo.

Revision 1.9  1999/11/28 12:24:08  kloczek
- updated to 0.7.20,
- added using %find_lang macro cause now irssi is fully gettextized.

Revision 1.8  1999/11/22 18:56:58  kloczek
- updated to 0.7.19.

Revision 1.7  1999/11/21 15:06:07  kloczek
- removed irssi-bot from %files.

Revision 1.6  1999/11/21 14:53:54  kloczek
- updated to 0.7.18.1,
- build against ncurses 5.0,
- more pl translations.

Revision 1.5  1999/09/13 19:48:58  wiget
- upgraded to 0.7.16

Revision 1.3  1999/09/13 16:50:25  wiget
- fixed %configure macro

Revision 1.2  1999/09/04 11:42:33  wiget
- new way to update Version: field in spec
- new target for make 'make rpm'

Revision 1.4  1999/09/03 09:36:24  wiget
- updated to 0.7.16alpha-1

Revision 1.3  1999/09/02 17:27:36  wiget
- added BuildRequires rules

Revision 1.2  1999/09/02 17:22:51  wiget
- rewrite to PLD style coding:
  - correct Group and Group(pl)
  - %changelog moved to end
  - splited to irssi and irssi-GNOME
  - added patch to allow 'make install DESTDIR=/some/dir'
  - added ./configure parameters
  - striped unneeded symbol from plugins
  - gziped docs
  - corrected %files section
- based at spec from tarball (by JT Traub <jtraub@dragoncat.net>)
